# Create Topup

Endpoint to create Topups in Monato Billpay

Endpoint: POST /v1/topups
Version: 1.0.0
Security: BearerAuth

## Query parameters:

  - `payee_id` (string, required)
    Payee Monato ID
    Example: "2bd7cf7f-4138-4d7a-ae28-b9888bc6f756"

  - `amount` (number, required)
    The amount due including cents from the payer to the payee service

  - `phone_number` (string, required)
    The phone number of the user where will be applied
    Example: "9991234567"

  - `idempotency_key` (string)
    Unique value generated by the client which we uses to recognize from subsequent requests
    Example: "client_side_idempotency_key"

## Response 201 fields (application/json):

  - `topup_id` (string)
    Example: "9fadc949-fd1a-45f7-8733-69866655f36c"

  - `amount` (string)
    Example: "40.0"

  - `phone_number` (string)
    Example: "0094097929"

  - `payee_id` (string)
    Example: "0b9e75c3-d4c1-4c7c-b9d4-b4b80be1a483"

  - `status` (string)
    Example: "completed"

  - `created_at` (string)
    Example: "2024-04-10T20:15:30.633Z"

## Response 422 fields (application/json):

  - `error_type` (string)
    Example: "INTERNAL_ERROR"

  - `error_message` (string)
    Example: "There was an error while processing your request"


